package com.inspect.ivs.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Objects;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class Temp {


   private String cameraCode;
    private int presetId;
    private int ruleId;
    private int meterType;
    private String nvrcode;

    @Override
    public boolean equals(Object object) {
        if (this == object) return true;
        if (object == null || getClass() != object.getClass()) return false;
        Temp temp = (Temp) object;
        return presetId == temp.presetId && ruleId == temp.ruleId && meterType == temp.meterType && Objects.equals(cameraCode, temp.cameraCode) && Objects.equals(nvrcode, temp.nvrcode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(cameraCode, presetId, ruleId, meterType, nvrcode);
    }
}
